Extending Qt Creator Manual | DeployConfigurationModel

Extending Qt Creator Manual 4.4.0

# DeployConfigurationModel Class

(ProjectExplorer::DeployConfigurationModel)

The DeployConfigurationModel class provides a model to represent the run configurations of a target. More...

Header: | #include <DeployConfigurationModel>

- List of all members, including inherited members

## Public Functions

| DeployConfigurationModel(Target *target, QObject *parent = nullptr)
int | columnCount(const QModelIndex &parent = QModelIndex()) const override
QVariant | data(const QModelIndex &index, int role = Qt::DisplayRole) const override
DeployConfiguration * | deployConfigurationAt(int i)
DeployConfiguration * | deployConfigurationFor(const QModelIndex &idx)
QModelIndex | indexFor(DeployConfiguration *rc)
int | rowCount(const QModelIndex &parent = QModelIndex()) const override

## Detailed Description

The DeployConfigurationModel class provides a model to represent the run configurations of a target.

To be used in drop down lists of comboboxes. Automatically adjusts itself to added and removed deploy configurations.

## Member Function Documentation

### DeployConfigurationModel::DeployConfigurationModel(Target *target, QObject *parent = nullptr)

Default constructs an instance of DeployConfigurationModel.

### int DeployConfigurationModel::columnCount(const QModelIndex &parent = QModelIndex()) const

### QVariant DeployConfigurationModel::data(const QModelIndex &index, int role = Qt::DisplayRole) const

### DeployConfiguration *DeployConfigurationModel::deployConfigurationAt(int i)

### DeployConfiguration *DeployConfigurationModel::deployConfigurationFor(const QModelIndex &idx)

### QModelIndex DeployConfigurationModel::indexFor(DeployConfiguration *rc)

### int DeployConfigurationModel::rowCount(const QModelIndex &parent = QModelIndex()) const